/* @import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500&family=Host+Grotesk:wght@400;500&display=swap'); */

:root {
    --white: #FAFBFC;
    --orange: #F07A48;
    --orange-dark: #E95D32;
    --text: #0E1115;
    --surface-glass: linear-gradient(0deg, rgba(255, 255, 255, 0.05) 2.08%, rgba(255, 255, 255, 0.10) 78.35%, rgba(255, 255, 255, 0.20) 100%);
    --glass-border: rgba(255, 255, 255, 0.3);
}

/* Base */
* {
    transition: all 300ms;
    box-sizing: border-box;
}

body {
    font-family: 'DM Sans', system-ui, -apple-system, Segoe UI, Roboto, Helvetica, Arial, "Apple Color Emoji", "Segoe UI Emoji";
    color: var(--text);
    background-color: var(--white);
    padding: 0;
    margin: 0;
}

.container {
    max-width: 1120px;
    margin: 0 auto;
}

/* Header */
.site-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
}

.site-header .navbar {
    margin: 24px auto 0;
}

.site-header .navbar .inner {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 8px 8px 8px 40px;
    gap: 16px;
    max-width: 1120px;
    width: 100%;
    height: 60px;
    margin: 0 auto;
    background: var(--surface-glass);
    border: 1px solid var(--glass-border);
    border-radius: 12px;
    /* overflow: hidden; */
}

.site-header .navbar .inner::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(27px);
    -webkit-backdrop-filter: blur(27px);
    z-index: -1;
}

.site-header .nav-left,
.site-header .nav-right,
.site-header .nav-right .panel {
    display: flex;
    align-items: center;
}

.site-header .nav-right,
.site-header .nav-right .panel {
    gap: 16px;
}

.site-header .site-branding {
    display: flex;
    align-items: center;
    gap: 12px;
}

.site-header .site-branding a.site-logo-link img {
    width: 100%;
    height: auto;
    vertical-align: middle;
}

.site-header .site-title {
    font-size: 18px;
    margin: 0;
    line-height: 1;
}

.site-header .site-title a {
    color: var(--text);
    text-decoration: none;
}

.site-header .site-description {
    display: none;
}

.site-header .nav-btn {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 10px 8px 10px 12px;
    gap: 6px;
    border-radius: 8px;
    background-color: transparent;
    color: var(--text);
    border: 0;
    cursor: pointer;
}

.site-header .nav-btn.nav-hamburger-mobile {
    padding: 10px;
    display: none;
    background-color: rgba(255, 255, 255, 0.3);
}

.site-header .nav-btn:hover {
    background-color: rgba(255, 255, 255, 0.2);
    color: var(--orange);
}

.site-header .nav-btn .label,
.site-header .btn-cta .label {
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: -0.01em;
}

.site-header .btn-cta {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background: #FFFFFF;
    color: var(--text);
    box-shadow: 0px 4px 2px -2px rgba(0, 0, 0, 0.02), 0px 2px 10px -2px rgba(0, 0, 0, 0.05);
    border-radius: 6px;
    text-decoration: none;
}

.site-header .btn-cta:hover {
    background-color: var(--orange);
    color: #fff;
}

.site-header svg {
    width: 20px;
    height: 20px;
    display: block;
    fill: currentColor;
}

.menu-btn {
    position: relative;
    display: inline-block
}

.menu-btn__toggle[aria-expanded="true"] .icon-chevron-down {
    transform: rotate(-180deg)
}

.menu-btn__panel .menu-list {
    position: absolute;
    top: calc(100% + 2px);
    left: 0;
    width: 100%;
    background-color: var(--surface-glass);
    border: 1px solid var(--glass-border);
    border-radius: 12px;
    padding: 2px;
    box-shadow: 0 12px 30px rgba(0, 0, 0, .12);
    backdrop-filter: blur(27px);
    opacity: 0;
    visibility: hidden;
    transform: translateY(-6px) scale(.98);
    pointer-events: none;
    transition: opacity .2s, transform .2s, visibility .2s;
    z-index: 20
}

.menu-btn.open .menu-btn__panel .menu-list {
    opacity: 1;
    visibility: visible;
    transform: translateY(0) scale(1);
    pointer-events: auto
}

.menu-btn[data-menu="lang"] .menu-btn__panel .menu-list li {
    padding: 10px;
    cursor: pointer;
}

.menu-btn[data-menu="lang"] .menu-btn__panel .menu-list li button {
    background: transparent;
    border: none;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.menu-btn .menu-btn__panel .menu-list::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(27px);
    -webkit-backdrop-filter: blur(27px);
    z-index: -1;
}

.menu-list .is-current {
    color: var(--orange-dark);
}

.menu-list .is-current::after,
.menu-list .gtranslate_wrapper a.gt-current-lang::after {
    content: '';
    float: right;
    width: 20px;
    height: 20px;
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.99609 11.4515L5.94859 14.4682L12.2953 7.21483L11.0403 6.11816L5.72026 12.1982L3.00609 10.1265L1.99609 11.4515ZM18.1286 7.21483L16.8736 6.11816L11.5661 12.184L10.9386 11.6823L9.89693 12.984L11.7694 14.4823L18.1286 7.21483Z' fill='%23E95D32'/%3E%3C/svg%3E%0A");
}

.menu-list {
    list-style: none;
    margin: 0;
    padding: 0;
    display: grid;
    gap: 2px;
}

.menu-list a {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    padding: 10px 16px;
    border-radius: 8px;
    text-decoration: none;
    color: var(--text);
    font-size: 14px;
    white-space: nowrap;
}

.menu-list a:hover {
    background: rgba(255, 255, 255, .25);
    color: var(--orange);
}

.menu-list a.is-current {
    font-weight: 600;
}

.menu-list a.is-current::after {
    content: "✓";
}

.nav-btn[aria-expanded="true"] .icon-chevron-down {
    transform: rotate(-180deg);
}

/* Footer */
.site-footer {
    background: #fff;
    border-top: 1px solid rgba(168, 179, 191, 0.2);
}

.site-footer .footer-inner {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    padding: 24px 160px;
    gap: 309px;
    max-width: 1440px;
    margin: 0 auto;
    min-height: 230px;
}

.footer-left {
    display: flex;
    flex-direction: column;
    gap: 40px;
    width: 100%;
    position: relative;
}

.footer-logo-tagline {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 262px;
}

.footer-logo-link {
    display: inline-flex;
    align-items: center;
    text-decoration: none;
}

.footer-logo {
    width: auto;
    height: 32px;
    max-width: 104.45px;
}

.footer-logo-text {
    font: 500 20px/1 'DM Sans', sans-serif;
    color: #0E1115;
}

.footer-tagline {
    font: 400 14px/130% 'Host Grotesk', sans-serif;
    letter-spacing: -0.02em;
    color: #A8B3BF;
}

.footer-social {
    display: flex;
    flex-direction: row;
    gap: 16px;
}

.footer-social .social {
    width: 24px;
    height: 24px;
    color: #A8B3BF;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.footer-social .social:hover {
    color: #223F61;
}

.footer-links {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 66px;
    width: 454px;
    flex-wrap: wrap;
}

.footer-links .copyright {
    font: 400 12px/120% 'Open Sans', sans-serif;
    letter-spacing: -0.02em;
    color: rgba(168, 179, 191, 0.7);
}

.footer-links .footer-link {
    font: 400 12px/120% 'Open Sans', sans-serif;
    letter-spacing: -0.02em;
    color: rgba(168, 179, 191, 0.7);
    text-decoration: none;
}

.footer-links .footer-link:hover {
    color: #223F61;
}

.footer-announcement {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    width: 357px;
    min-height: 182px;
    background: #F9FAFC;
    border-radius: 16px;
    padding: 0 13px;
    text-align: center;
    position: absolute;
    right: 0;
}

.footer-announcement .announcement-text {
    font: 400 25px/110% 'DM Sans', sans-serif;
    letter-spacing: -0.03em;
    color: #0E1115;
    margin: 0;
}

.footer-announcement .btn-primary {
    background: #F07A48;
    color: #fff;
    padding: 8px 24px;
    height: 40px;
    border-radius: 8px;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

.footer-announcement .btn-primary .label {
    font: 500 14px/20px 'DM Sans', sans-serif;
    letter-spacing: -0.01em;
}

/* Media queries (desktop to mobile) */
@media (min-width: 561px) {
    #mobile-menu {
        display: none;
    }

    .menu-btn[data-menu="resources"] .menu-btn__panel .nav-btn .icon.icon-book-bookmark {
        display: none;
    }
}

@media (max-width: 1180px) {
    .site-header .navbar {
        margin: 12px;
    }

    .site-header .navbar .inner {
        padding: 10px 8px 10px 16px;
    }

    .site-footer .footer-inner {
        padding: 24px;
    }
}

@media (max-width: 768px) {
    .site-header .nav-right .panel {
        display: none;
        position: absolute;
        top: calc(100% + 14px);
        right: -8px;
        flex-direction: column-reverse;
        background-color: rgba(255, 255, 255, 0.5);
        box-shadow: inset 0px -2px 1px rgba(255, 255, 255, 0.25), inset 0px -1px 1px rgba(255, 255, 255, 0.35);
        backdrop-filter: blur(42px);
        border-radius: 8px;
        gap: 2px;
        padding: 2px;
        width: calc(100% + 8px);
    }

    .site-header .nav-right .panel.open {
        display: flex;
    }

    .site-header .nav-right .panel .menu-btn,
    .site-header .nav-right .panel .menu-btn .menu-btn__panel,
    .site-header .nav-right .panel .menu-btn .menu-btn__panel .nav-btn {
        width: 100%;
    }

    .site-header .nav-right .panel .menu-btn .menu-btn__panel .nav-btn {
        justify-content: flex-start;
        padding: 10px 12px 10px 12px;
    }

    .site-header .nav-right .panel .menu-btn .menu-btn__panel .nav-btn svg.icon-chevron-down {
        margin-inline-start: auto;
        margin-inline-end: 0;
    }

    .site-header .nav-right .panel .menu-btn.open .menu-btn__panel .nav-btn {
        background-color: rgba(255, 255, 255, 0.5);
    }

    .menu-btn__panel .menu-list {
        position: relative;
        top: 0;
        height: 0;
        background: transparent;
        box-shadow: none;
        backdrop-filter: none;
        overflow: hidden;
        border: none;
        padding: 0;
    }

    .menu-btn .menu-btn__panel .menu-list::before {
        display: none;
    }

    .menu-btn.open .menu-btn__panel .menu-list {
        height: 100%;
    }

    .menu-btn[data-menu="resources"] .menu-btn__panel .menu-list li {
        padding: 10px 12px 10px 21px;
    }

    .menu-btn[data-menu="resources"] .menu-btn__panel .menu-list li {
        padding: 10px 0;
    }

    .menu-btn[data-menu="lang"] .menu-btn__panel .menu-list li {
        padding: 10px 12px 10px 38px;
    }

    .site-header .nav-btn.nav-hamburger-mobile {
        display: flex;
    }

    .site-header .site-branding {
        max-width: 78px;
    }

    .site-header .nav-right {
        gap: 8px;
        position: relative;
    }

    .nav-hamburger-mobile {
        display: inline-flex
    }

    .site-footer .footer-inner {
        padding: 24px 20px;
        gap: 24px;
        align-items: flex-start;
        flex-direction: column;
    }

    .footer-left {
        width: 100%;
        gap: 20px;
    }

    .footer-links {
        gap: 12px;
        width: auto;
        justify-content: center;
        text-align: center;
    }

    .footer-links .copyright {
        width: 100%;
    }

    .footer-announcement {
        width: 100%;
        position: relative;
    }

    .footer-logo-tagline {
        width: 100%;
    }
}